import { Component } from 'vue-demi';
import { ITestBackend } from 'react-dnd-test-backend';
import type { BackendFactory } from 'dnd-core';
/**
 * Wrap a Component with a DnDContext using the TestBackend
 *
 * @param DecoratedComponent The component to decorate
 * @param backendOptions
 * @returns [Component, getBackend] The wrapped component and a utility method
 * to get the test backend instance.
 */
export declare function wrapWithTestBackend(DecoratedComponent: Component, backendOptions?: unknown): [Component, () => ITestBackend | undefined];
/**
 * Wrap a component with a DndContext providing a backend.
 *
 * @param DecoratedComponent The compoent to decorate
 * @param Backend The backend to use (default=HTML5Backend)
 * @param backendOptions The optional backend options
 */
export declare function wrapWithBackend(DecoratedComponent: Component, Backend?: BackendFactory, backendOptions?: unknown): Component;
